- Qt 6.8
- Qt Quick 3D
- QML Types
- QtQuick3D.Effects
- Desaturate
- Qt Quick 3D | Commercial or GPLv3

# Desaturate QML Type

A desaturating effect. More...

Import Statement: | `import QtQuick3D.Effects 6.8`
Status: | Deprecated since 6.5

This type is deprecated since QtQuick3D.Effects 6.5. We strongly advise against using it in new code.

- List of all members, including inherited members

## Properties

- amount : real

## Detailed Description

Use ExtendedSceneEnvironment instead.

Warning: All pre-made standalone effects in QtQuick3D.Effects are considered deprecated starting with Qt 6.5. To perform color adjustments and color grading, use ExtendedSceneEnvironment instead.

The Desaturate effect allows decreasing the intensity of all colors in the scene.

## Property Documentation

amount : real

The strength of desaturation. The range is `[0...1]`, with `0` being fully saturated and `1` being fully grayscale. The default value is `0.5`.